test_that("Test analyse_hydraulic",
    {
        flood = expect_no_message(
            generate_limnigraph(
                time = c(0, 54, 108),
                depth = cbind(external_1 = c(0, 3, 0), external_2 = c(0, 0, 0)),
                external = list(
                    external_1 = c("door1", "window1", "window2"),
                    external_2 = c("window3")
                ),
                verbose = FALSE
            )
        )

        hydraulic = expect_no_error(
            analyse_hydraulic(
                model = adu_t,
                limnigraph = flood,
                opening_scenario = "close",
                dt_max = 0.5,
                Cd = 0.42,
                sim_id = "integrated_model",
                stage = "hydraulic",
                verbose = FALSE
            )
        )

        expect_type(hydraulic, "list")
    }
)
